Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Techbee e.U.
AuthorEmail: contact@techbee.at
AuthorWebSite: https://techbee.at
WebSite: https://jtx.techbee.at
SourceCode: https://github.com/TechbeeAT/jtxBoard
IssueTracker: https://github.com/TechbeeAT/jtxBoard/issues
Changelog: https://github.com/TechbeeAT/jtxBoard/releases
Donate: https://jtx.techbee.at/app/contribute#Donorbox
Liberapay: techbee.at

AutoName: jtx Board

RepoType: git
Repo: https://github.com/TechbeeAT/jtxBoard.git

Builds:
  - versionName: 1.00.02-release.ose
    versionCode: 100020000
    commit: ce3271bd625576c52f4b8fe58fe65b72fa700d91
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.03-release.ose
    versionCode: 100030000
    commit: de197ae5efe82b77b36d76a3fcbc1b438bc33c1a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.04-rc11.ose
    versionCode: 100040011
    commit: d630fd5b96f4cd14afa231c101c01df3e85d5a84
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.07-rc03.ose
    versionCode: 100070003
    commit: df1c70d2f0f27ab58a718176949d215b71b5d74d
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.08-rc01.ose
    versionCode: 100080001
    commit: 8af353505c8e87cce65001b2c63fbad0977f920e
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.09-rc01.ose
    versionCode: 100090001
    commit: a17d930f2c759883313af3422681d4cab0d6969d
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.10-rc01.ose
    versionCode: 100100001
    commit: 2eaa22ac3adb1b92dc3e19b3901fcfbbdcc7d0a8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.11-rc01.ose
    versionCode: 100110001
    commit: 67a26e304f33e05691e04b286d0333258b9b6d0f
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.12-rc04.ose
    versionCode: 100120004
    commit: c69dfe66b75cec744e87259cbf2ffe602b13b0c8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.13-rc02.ose
    versionCode: 100130002
    commit: 61c6ee004db65eafa7747d981a1b70489600d840
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.14-rc02.ose
    versionCode: 100140002
    commit: bd35af9492bab385f88d63dc00f87fb428675449
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.15-rc01.ose
    versionCode: 100150001
    commit: e2ce956eb780bc314ec7f01ec82f405e1498fc47
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.16-rc05.ose
    versionCode: 100160005
    commit: 6c2aa5180fb2f606b14d44581d89c702d0f1b965
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.01.01-rc13.ose
    versionCode: 101010013
    commit: 47b1e8df60db0bb9a0bba4631b11aea28d8b1ce6
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.01.02-rc4.ose
    versionCode: 101020004
    commit: 633cbdbae569b99e19413902e8a00fdfd69af7b8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.02.00-rc10.ose
    versionCode: 102000021
    commit: ff84b99142c4189ee728b7bfd737ba6a8595b2b2
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.02.02-rc02.ose
    versionCode: 102020004
    commit: 6b5f9f1308370e9b70225ff12de17a4f3d407dd7
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.02.03-rc03.ose
    versionCode: 102030006
    commit: 4230c51a225563838653c334f283f355826c23c8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.02.04-rc08.ose
    versionCode: 102040008
    commit: 70f29b2a536cc3efda39774a73a352efaec35767
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.00.02-rc01.ose
    versionCode: 200020001
    commit: 12d8f4e8718502ba8bcd0f49343a2fd7e4b3b491
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild:
      - sed -i -e '/developer.huawei.com/d' ../build.gradle
      - sed -i -e 's|/app||' build.gradle

  - versionName: 2.00.03-rc01.ose
    versionCode: 200030001
    commit: ce909472e93835f0c654a708bbc51bc871ce66d4
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.00.04-rc02.ose
    versionCode: 200040001
    commit: ce02697c15828a133001099a42d7c67b48b2d206
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.00.05-rc04.ose
    versionCode: 200050004
    commit: dca473ad5743a6f05e07ccc04303af4f5297eec6
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.00.06-rc08.ose
    versionCode: 200060007
    commit: 20ef56233f3279f3591d09ec8106265f2c5f2f40
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.00.07-rc03.ose
    versionCode: 200070004
    commit: b2d9a3239ee8b0be627e04afa9db686c07a01cb4
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.00.08-rc01.ose
    versionCode: 200080001
    commit: 04f60fb8f2a6738aa2fb2dc30a036a1f21417fd0
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.00.09-rc04.ose
    versionCode: 200090004
    commit: 77bb542eaa405885387ae17a393486ad73d1d715
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.00.10-rc01.ose
    versionCode: 200100001
    commit: ce0dfa35a7aa94e059b89e28d96c6baac34e42be
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.00-rc17.ose
    versionCode: 201000017
    commit: 507bd17f90251c3334e88a05cdc788a21c4901be
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.01-rc12.ose
    versionCode: 201010012
    commit: 1ca006d9b37c889f29fb2f3d1a215be80c8f5556
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.02-rc07.ose
    versionCode: 201020007
    commit: a05fcc413f49f6ab9e9c17977213899f39327dcd
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.03-rc08.ose
    versionCode: 201030008
    commit: 85f0c4bfda73888e862e318e59ed2a113b7de6ea
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.04-rc06.ose
    versionCode: 201040006
    commit: 1a99de557a651f9f88fd7daaf916f60f3cabce96
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.04-rc07.ose
    versionCode: 201040007
    commit: 5c6950a29f939cdc4656f860476bd5c9b6640e82
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.05-rc08.ose
    versionCode: 201050008
    commit: f802fd55130b8d028fb673d0b462db36d9e31357
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.06-rc05.ose
    versionCode: 201060005
    commit: 79cd0b89218d483afd20f40236eef30e913239c0
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.07-rc05.ose
    versionCode: 201070005
    commit: a5163d9bb37e7503f9803177b6398870eb8254b0
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.01.09-rc03.ose
    versionCode: 201090003
    commit: cfa48296fa2f43983ab16d23a5f5c71dbe62310f
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.02.00-rc12.ose
    versionCode: 202000012
    commit: c4c3ab25412e61b916aa61c3f07b7f08b285c117
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 2.02.01-rc11.ose
    versionCode: 202010011
    commit: 9103b2ebf21c69da3952fddf26f3a2a228c19322
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' -e '/agconnect/d' {.,..}/build.gradle

  - versionName: 2.02.02-rc5.ose
    versionCode: 202020005
    commit: f31c9baba1cc4b43486e059bf89513b6334efdac
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' -e '/agconnect/d' {.,..}/build.gradle

  - versionName: 2.03.00-rc22.ose
    versionCode: 203000022
    commit: 3ba9e2243254a67c0e014f61d0243370170c1b5a
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' -e '/agconnect/d' {.,..}/build.gradle

  - versionName: 2.03.01-rc04.ose
    versionCode: 203010004
    commit: f42d4df713058294b7cf18718784a6e8f5221acd
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' -e '/agconnect/d' {.,..}/build.gradle

  - versionName: 2.04.00-rc12.ose
    versionCode: 204000012
    commit: ec60c0bc584f251087e337ca6a6622c8e31b16f2
    subdir: app
    submodules: true
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' -e '/agconnect/d' {.,..}/build.gradle

  - versionName: 2.04.01.ose
    versionCode: 204010011
    commit: bd1952f4ee122f21da6c47d9df9eab4e4b26755a
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' -e '/agconnect/d' {.,..}/build.gradle

  - versionName: 2.04.02.ose
    versionCode: 204020005
    commit: 90b5bae84a447ccac2491662f1c4013c8b7f45f8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' -e '/agconnect/d' {.,..}/build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[0-9.]*$
CurrentVersion: 2.04.02.ose
CurrentVersionCode: 204020005
